<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@workgrid/micro-app](./micro-app.md) &gt; [MicroApp](./micro-app.microapp.md)

## MicroApp class

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Create a new instance of the Micro App library.

<b>Signature:</b>

```typescript
declare class MicroApp 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)({ audience, onError, id })](./micro-app.microapp._constructor_.md) |  | <b><i>(BETA)</i></b> Constructs a new instance of the <code>MicroApp</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [courier](./micro-app.microapp.courier.md) |  | any | <b><i>(BETA)</i></b> |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [getToken()](./micro-app.microapp.gettoken.md) |  | <b><i>(BETA)</i></b> Retrieve a token to validate the user in your API. The token will be a JWT that includes <code>email</code>, <code>workgrid_space_id</code> and <code>workgrid_tenant_id</code>. |
|  [hideDetail()](./micro-app.microapp.hidedetail.md) |  | <b><i>(BETA)</i></b> Hide the detail if it's visible. |
|  [initialize()](./micro-app.microapp.initialize.md) |  | <b><i>(BETA)</i></b> Set up the communication channel with Workgrid. A loading overlay will be displayed until <code>initialize</code> is invoked. |
|  [ready()](./micro-app.microapp.ready.md) |  | <b><i>(BETA)</i></b> Tell the host we're ready every 100ms until the message is acknowledged. This fires off two techniques "serial" and "cascade", Android needs serial for now; cascade is superior |
|  [send(args)](./micro-app.microapp.send.md) |  | <b><i>(BETA)</i></b> Wrap the event sender in a queue that is flushed when the host is ready. |
|  [showDetail({ url, title })](./micro-app.microapp.showdetail.md) |  | <b><i>(BETA)</i></b> Show the detail with the given url and optional title. The page shown must also be configured as a micro app, otherwise an error will be thrown. |
|  [updateTitle(title)](./micro-app.microapp.updatetitle.md) |  | <b><i>(BETA)</i></b> Update the title of the detail panel. This will let you reflect |

